package com.dayou.service;
import com.dayou.entity.BusinessProductionChoiceLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 产品选择记录 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-05-16
 */
public interface IBusinessProductionChoiceLogService extends IService<BusinessProductionChoiceLog> {

        Page<BusinessProductionChoiceLog> selectPage(Page page,BusinessProductionChoiceLog businessProductionChoiceLog);

        BusinessProductionChoiceLog detail(Long id);

        Boolean add(BusinessProductionChoiceLog businessProductionChoiceLog);

        Boolean update(BusinessProductionChoiceLog businessProductionChoiceLog);

        Boolean delete(Long id);

        /**
         * 查询产品选择记录
         * @param selectDto 查询条件
         * @return BusinessProductionChoiceLog
         */
        BusinessProductionChoiceLog getChoiceLog(BusinessProductionChoiceLog selectDto);

}
